DD-LIST(1)

BEZEICHNUNG
dd-list - nette Liste der .deb-Pakete und ihrer Betreuer

ÜBERSICHT
dd-list [-hiusV] [--help] [--stdin] [--sources Quelldatei] [--dctrl] [--version] [--uploaders] [Paket …]

BESCHREIBUNG
dd-list erzeugt nett formatierte Listen von Debian-Paketen (.deb) und ihren Betreuern.

Eingabe ist eine Liste der Quell- oder Binärpaketnamen auf der Befehlszeile (oder der Standardeingabe, falls --stdin angegeben wurde). Ausgabe ist eine Liste im folgenden Format, wobei Paketnamen standardmäßig Quellpakete sind:

    J. Zufälliger Entwickler <jzufall@debian.org>
        j-zufall-paket
        j-zufall-anderes

    Diana Hacker <diana@example.org>
        spaß-paket
        mehr-spaß-paket

Dies ist nützlich, wenn Sie zum Beispiel eine Liste von Paketen erstellen wollen, die der Aufmerksamkeit ihrer Betreuer bedürfen, z.B. um neu gebaut zu werden, wenn ein Versionssprung einer Bibliothek vorkommt.

OPTIONEN

-h, --help
    Ausgabe einer kurzen Hilfenachricht

-i, --stdin
    liest Paketnamen von der Standardeingabe, statt sie von der Befehlszeile zu nehmen. Paketnamen werden durch Leerräume getrennt.

-d, --dctrl
    liest die Paketliste von der Standardeingabe im Format der Debian-Paketsteuerdatei. Dies beinhaltet die Statusdatei oder die Ausgabe von apt-cache. Dies ist der schnellste Weg, dd-list zu benutzen, da es die Betreuerinformation von der Eingabe verwendet, statt den Betreuer von jedem aufgeführten Paket nachzuschlagen.

    Falls keine Source:-Zeile angegeben wurde, wird der Package:-Name als Ausgabe benutzt. Diese könnte ein Name eines Binärpakets sein.

-z, --uncompress
    versucht, die --dctrl-Eingabe vor dem Auswerten zu entpacken. Unterstützte Komprimierungsformate sind gz, bzip2 und xz.

-s, --sources Quelldatei
    liest Paketinformationen von den angegebenen Quelldateien. Dies kann mehrfach angegeben werden. Die Dateien können mit gz, bzip2 oder xz gepackt sein. Falls der Dateiname nicht auf .gz, .bz2 oder .xz endet, muss die Option -z verwendet werden.

    Falls keine Quelldateien angegeben wurden, wird Dd-list einen geeigneten Satz Quellen von Apt-get abfragen (falls die Version von APT größer als 1.1.8 ist), ansonsten werden alle Dateien verwendet, auf die /var/lib/apt/lists/*_source_Sources passen.

-u, --uploaders
    listet außerdem Entwickler auf, die als Uploader von Paketen genannt werden, nicht nur Betreuer; dies ist das Standardverhalten, benutzen Sie --nouploaders, um das zu verhindern. Uploader werden mit einem an den Paketnamen angehängten »(U)« angezeigt.

-nou, --nouploaders
    führt nur Paketbetreuer auf, keine Uploader.

-b, --print-binary
    verwendet Binärpaketnamen statt Quellpaketnamen in der Ausgabe (hat keine Auswirkungen mit --dctrl, falls die Package:-Zeile Quellpaketnamen enthält).

-V, --version
    gibt die Version aus.

AUTOR
Lars Wirzenius <liw@iki.fi>

Joey Hess <joeyh@debian.org>

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.